Subject: Re: [RFT] 8xx cpm_hostalloc patch was: allow coherent DMA API to work before main page allocator is set up

From: Dan Malek <[email-masked]>
Date: Mon, 23 May 2005 11:19:26 -0400

On May 23, 2005, at 2:27 AM, Pantelis Antoniou wrote:

> You shouldn't have these discussions on the weekend :)

Sorry.  I try not to, but then people think I'm not interested :-)
I was working on my race car data acquisition telemetry
project, anyway.

> I'm the culprit of the code in question.

I'm not trying to blame anyone.  The new driver is better in
many ways, we just have to fix up this one little thing so
it works in all possible VM configurations.

I also have to look at the new consistent mapping functions,
as those also seem to have changed.  Maybe this will
work fine, or can be made to work with minor changes.

Thanks.

	-- Dan